#!/bin/bash
#
# Launcher for the 'Q.I.V Slideshow' © Mike Walsh, Sep 2018 - with thanks to the 'Puppy' crew (and Fredx181 in particular) for assistance
#
export load_cmd='@bash -c "button_cmd %1 %2 %3 %4 %5 %6"'

function button_cmd () {
[ $3 = TRUE ] && FS="-f" || FS=""
[ $4 = FALSE ] && SB="-i" || SB=""
qiv -s $FS $SB -m -t -d $2 $1
}
export -f button_cmd 

yad  --center --window-icon=/usr/local/lib/X11/pixmaps/qiv.png --title="Q.I.V Slideshow" --form --width=450 --text="     Please make your selections:-" \
--form --field="Choose image directory:-:MDIR" '/root' \
--field="Select timeout interval:-:NUM" '1' \
--field="Fullscreen:CHK" "TRUE" \
--field="Enable/disable status bar (full-screen only):CHK" "FALSE" \
--field="Run  Q.I.V  slideshow":fbtn "$load_cmd" \
--button=gtk-info:qiv-gui-info.sh --button=gtk-cancel:1
